From 467aa125cbe8f99346daeb2e94ce75c62f69c702 Mon Sep 17 00:00:00 2001
From: Samuel Erb <samrerb@erbbysam.com>
Date: Tue, 17 Sep 2019 12:22:12 -0400
Subject: [PATCH] change default updateDocMode behavior and add new option to
 keep old behavior (#510)

---
 unoconv | 51 ++++++++++++++++++++++++++++++---------------------
 1 file changed, 30 insertions(+), 21 deletions(-)

diff --git a/unoconv b/unoconv
index 6aa1bfa..27acfcf 100755
--- a/unoconv
+++ b/unoconv
@@ -682,6 +682,10 @@ class Options:
                 # ref https://www.openoffice.org/api/docs/common/ref/com/sun/star/document/UpdateDocMode.html
                 print('Warning: Do not use the option --unsafe-quiet-update with untrusted input.')
                 self.updateDocMode = QUIET_UPDATE
+            elif opt in ['--unsafe-quiet-update']:
+                # ref https://www.openoffice.org/api/docs/common/ref/com/sun/star/document/UpdateDocMode.html
+                print('Warning: Do not use the option --unsafe-quiet-update with untrusted input.')
+                self.updateDocMode = QUIET_UPDATE
             elif opt in ['-v', '--verbose']:
                 self.verbose = self.verbose + 1
             elif opt in ['-V', '--version']:
